%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:          hibernate-search
Version:       5.5.4
Release:       %mkrel 1
Group:         Development/Java
Summary:       Hibernate Search
License:       LGPLv2+
URL:           http://hibernate.org/search/
Source0:       https://github.com/hibernate/hibernate-search/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.puppycrawl.tools:checkstyle)
BuildRequires: mvn(commons-io:commons-io)
BuildRequires: mvn(java_cup:java_cup)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(log4j:log4j:12)
BuildRequires: mvn(org.apache.avro:avro)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.lucene:lucene-analyzers-common) 
BuildRequires: mvn(org.apache.lucene:lucene-analyzers-phonetic)
BuildRequires: mvn(org.apache.lucene:lucene-backward-codecs)
BuildRequires: mvn(org.apache.lucene:lucene-core) >= 5.3.1
BuildRequires: mvn(org.apache.lucene:lucene-facet)
BuildRequires: mvn(org.apache.lucene:lucene-misc)
BuildRequires: mvn(org.apache.lucene:lucene-queryparser)
BuildRequires: mvn(org.apache.maven.plugins:maven-checkstyle-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires: mvn(org.apache.pdfbox:pdfbox)
BuildRequires: mvn(org.apache.tika:tika-core)
BuildRequires: mvn(org.bsc.maven:maven-processor-plugin)
BuildRequires: mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires: mvn(org.hibernate:hibernate-core) >= 5.0.7
BuildRequires: mvn(org.hibernate:hibernate-entitymanager)
BuildRequires: mvn(org.hibernate:hibernate-envers)
BuildRequires: mvn(org.hibernate:hibernate-testing)
BuildRequires: mvn(org.hibernate.common:hibernate-commons-annotations)  >= 5.0.1
BuildRequires: mvn(org.hibernate.javax.persistence:hibernate-jpa-2.1-api)
BuildRequires: mvn(org.jboss.byteman:byteman)
BuildRequires: mvn(org.jboss.byteman:byteman-bmunit)
BuildRequires: mvn(org.jboss.byteman:byteman-install)
BuildRequires: mvn(org.jboss.logging:jboss-logging)
BuildRequires: mvn(org.jboss.logging:jboss-logging-annotations)
BuildRequires: mvn(org.jboss.maven.plugins:maven-injection-plugin)
BuildRequires: mvn(org.jboss.spec.javax.jms:jboss-jms-api_2.0_spec)
BuildRequires: mvn(org.jboss.spec.javax.transaction:jboss-transaction-api_1.2_spec)
BuildRequires: mvn(org.jgroups:jgroups) >= 3.6.6
BuildRequires: mvn(simple-jndi:simple-jndi)
BuildRequires: xmvn

BuildArch:     noarch

%description
Full text search engines like Apache Lucene are very powerful technologies to
add efficient free text search capabilities to applications. However, Lucene
suffers several mismatches when dealing with object domain models. Amongst
other things indexes have to be kept up to date and mismatches between index
structure and domain model as well as query mismatches have to be avoided.

Hibernate Search addresses these shortcomings - it indexes your domain model
with the help of a few annotations, takes care of database/index
synchronization and brings back regular managed objects from free text queries.

Hibernate Search is using Apache Lucene under the cover.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
rm -rf orm/src/test/resources/org/hibernate/search/test/bridge/tika/

%pom_disable_module integrationtest/jms
%pom_disable_module integrationtest/narayana
%pom_disable_module integrationtest/spring
%pom_disable_module integrationtest/wildfly
%pom_disable_module integrationtest/performance
%pom_disable_module integrationtest/osgi/karaf-features
%pom_disable_module integrationtest/osgi/karaf-it
%pom_disable_module integrationtest/sandbox
%pom_disable_module integrationtest/engine-performance
%pom_disable_module distribution
%pom_disable_module documentation
# This component is now owned and maintained by the Infinispan team:
# org.infinispan:infinispan-directory-provider:8.0.1.Final
%pom_disable_module infinispan
%pom_disable_module legacy

# hibernate-search-engine, hibernate-search-orm
%pom_xpath_remove "pom:dependency[pom:type = 'test-jar']" testing

%pom_remove_plugin ":maven-enforcer-plugin"
# de.thetaphi:forbiddenapis:1.8
%pom_remove_plugin -r :forbiddenapis

%pom_remove_dep org.apache.tika:tika-core
%pom_change_dep -r "org.apache.tika:tika-parsers" "org.apache.tika:tika-core"
%pom_change_dep -r :log4j ::12

# org.easytesting:fest-assert:1.4
%pom_remove_dep -r :fest-assert
# org.unitils:unitils-easymock:3.3
%pom_remove_dep -r :unitils-easymock

%mvn_alias :hibernate-search-orm :hibernate-search

%build
# NO test deps see above
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc changelog.txt README.md
%license lgpl.txt

%files javadoc -f .mfiles-javadoc
%license lgpl.txt




%changelog
* Thu May 11 2017 neoclust <neoclust> 5.5.4-1.mga6
+ Revision: 1100270
- New version
- Add missing BR

* Wed Mar 02 2016 neoclust <neoclust> 4.5.1-13.mga6
+ Revision: 982318
- Second rebuild of the java stack

* Mon Feb 29 2016 neoclust <neoclust> 4.5.1-12.mga6
+ Revision: 980931
- First rebuild of the java stack
- sync package hibernate-search with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sat Dec 27 2014 pterjan <pterjan> 4.5.1-11.mga5
+ Revision: 806448
- Clean rebuild

* Sat Dec 27 2014 pterjan <pterjan> 4.5.1-10.mga5
+ Revision: 806400
- Fix BuildRequires
- Rebuild with infinispan
- Rebuild with infinispan
- Sync with Fedora 21 (update to 4.5.1.Final)

  + dmorgan <dmorgan>
    - Fix lucene requires

* Wed Oct 15 2014 umeabot <umeabot> 4.4.0-0.6.CR1.5.mga5
+ Revision: 747959
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Dec 31 2013 dmorgan <dmorgan> 4.4.0-0.6.CR1.3.mga4
+ Revision: 563588
- Try to build infinispan support

* Tue Dec 31 2013 dmorgan <dmorgan> 4.4.0-0.6.CR1.2.mga4
+ Revision: 563579
- Disable infinispan module again
- Rebuild against new infinispan
- imported package hibernate-search


* Wed Oct 23 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 4.4.0-0.6.CR1
- Rebuild to regenerate broken POMs
- Related: rhbz#1021484

* Mon Oct 21 2013 Marek Goldmann <mgoldman@redhat.com> - 4.4.0-0.5.CR1
- Enable infinispan module

* Fri Oct 18 2013 Marek Goldmann <mgoldman@redhat.com> - 4.4.0-0.4.CR1
- Updated license and dist macro

* Fri Oct 18 2013 Marek Goldmann <mgoldman@redhat.com> - 4.4.0-0.3.CR1
- Cleaned up source from mp3 (?!) files

* Wed Oct 16 2013 Marek Goldmann <mgoldman@redhat.com> - 4.4.0-0.2.CR1
- Use version 3 (compat) of solr

* Wed Oct 09 2013 Marek Goldmann <mgoldman@redhat.com> - 4.4.0-0.1.CR1
- Initial import



